QGIS Application - Bug report #11111
Some features not displayed in spatialite layer
2014-08-27 02:15 PM - Jan Hudec

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:2.4.0

Operating System: Debian GNU/Linux amd64
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 19441

Description

| have spatialite database with two layers that contain close to 2 million rows each (1.83 mil and 1.93 mil). When | add the layers, some
features are not displayed. | can still select them with query by primary key and they show up in the attribute table, but never on map.

However if | go to database manager and run a select * from layer query and import that, all features show fine.

When | enable showing count of features, the first layer only counts about 1.75 mil and draws about that fraction while the other counts

full 1.93 mil, but only displays rather small fraction.

If I try running a select * from layer limit 1700000 instead, the set of features that gets excluded mostly matches the set of features not

drawn when | included the whole layer, so order in which sqlite returns the rows might have something to do with it.

The data set is proprietary so | can't share it, but | know python and can do some debugging.

History

#1 - 2014-08-27 02:32 PM - Jan Hudec

Hm, now | tried dropping and recreating the whole database and it seems to display correctly now.

It might be that the spatial indices got corrupted. The data is generated and spatialite does not support dropping and recreating things well.

#2 - 2014-08-29 02:36 AM - Jan Hudec
- Status changed from Open to Closed

I am now sure this was not fault of QGIS but a deficiency of spatialite, so | am retracting it.
